# Uses of Interface
org.jmol.api.GenericImageDialog

Packages that use GenericImageDialog
Package
Description
jspecview.java
jspecview.js2d
org.jmol.api
org.jmol.api.js
org.jmol.awt
org.jmol.awtjs2d
org.jmol.console

## Uses of GenericImageDialog in jspecview.java

Methods in jspecview.java that return GenericImageDialog
Modifier and Type
Method
Description
`GenericImageDialog`
AwtPlatform.`getImageDialog(String title, Map<String, GenericImageDialog> imageMap)`
Method parameters in jspecview.java with type arguments of type GenericImageDialog
Modifier and Type
Method
Description
`GenericImageDialog`
AwtPlatform.`getImageDialog(String title, Map<String, GenericImageDialog> imageMap)`

## Uses of GenericImageDialog in jspecview.js2d

Methods in jspecview.js2d that return GenericImageDialog
Modifier and Type
Method
Description
`GenericImageDialog`
JsPlatform.`getImageDialog(String title, Map<String, GenericImageDialog> imageMap)`
Method parameters in jspecview.js2d with type arguments of type GenericImageDialog
Modifier and Type
Method
Description
`GenericImageDialog`
JsPlatform.`getImageDialog(String title, Map<String, GenericImageDialog> imageMap)`

## Uses of GenericImageDialog in org.jmol.api

Methods in org.jmol.api that return GenericImageDialog
Modifier and Type
Method
Description
`GenericImageDialog`
GenericPlatform.`getImageDialog(String title, Map<String, GenericImageDialog> imageMap)`
Method parameters in org.jmol.api with type arguments of type GenericImageDialog
Modifier and Type
Method
Description
`GenericImageDialog`
GenericPlatform.`getImageDialog(String title, Map<String, GenericImageDialog> imageMap)`

## Uses of GenericImageDialog in org.jmol.api.js

Methods in org.jmol.api.js that return GenericImageDialog
Modifier and Type
Method
Description
`GenericImageDialog`
JmolToJSmolInterface.`consoleGetImageDialog(Viewer vwr, String title, Map<String, GenericImageDialog> imageMap)`
Method parameters in org.jmol.api.js with type arguments of type GenericImageDialog
Modifier and Type
Method
Description
`GenericImageDialog`
JmolToJSmolInterface.`consoleGetImageDialog(Viewer vwr, String title, Map<String, GenericImageDialog> imageMap)`

## Uses of GenericImageDialog in org.jmol.awt

Methods in org.jmol.awt that return GenericImageDialog
Modifier and Type
Method
Description
`GenericImageDialog`
Platform.`getImageDialog(String title, Map<String, GenericImageDialog> imageMap)`
Method parameters in org.jmol.awt with type arguments of type GenericImageDialog
Modifier and Type
Method
Description
`GenericImageDialog`
Platform.`getImageDialog(String title, Map<String, GenericImageDialog> imageMap)`

## Uses of GenericImageDialog in org.jmol.awtjs2d

Methods in org.jmol.awtjs2d that return GenericImageDialog
Modifier and Type
Method
Description
`GenericImageDialog`
Platform.`getImageDialog(String title, Map<String, GenericImageDialog> imageMap)`
Method parameters in org.jmol.awtjs2d with type arguments of type GenericImageDialog
Modifier and Type
Method
Description
`GenericImageDialog`
Platform.`getImageDialog(String title, Map<String, GenericImageDialog> imageMap)`

## Uses of GenericImageDialog in org.jmol.console

Classes in org.jmol.console that implement GenericImageDialog
Modifier and Type
Class
Description
`class`
`ImageDialog`
Constructor parameters in org.jmol.console with type arguments of type GenericImageDialog
Modifier
Constructor
Description
``
`ImageDialog(Viewer vwr, String title, Map<String, GenericImageDialog> imageMap)`